# remirepo/fedora spec file for php-seld-phar-utils
#
# Copyright (c) 2015-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global gh_commit    9f3452c93ff423469c0d56450431562ca423dcee
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     Seldaek
%global gh_project   phar-utils

Name:           php-seld-phar-utils
Version:        1.2.0
Release:        1%{?dist}
Summary:        PHAR file format utilities

License:        MIT
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}-%{gh_short}.tar.gz

BuildArch:      noarch
BuildRequires:  php(language) >= 5.3
# For test
BuildRequires:  php-cli
# Autoloader
BuildRequires:  php-fedora-autoloader-devel

# From composer.json
#       "php": ">=5.3.0",
Requires:       php(language) >= 5.3.0
# From phpcompatifo report for 1.0.1
Requires:       php-date
Requires:       php-hash
Requires:       php-pcre
Requires:       php-spl
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(seld/phar-utils) = %{version}


%description
PHAR file format utilities, for when PHP phars you up.

To use this library, you just have to add, in your project:
  require_once '%{_datadir}/php/Seld/PharUtils/autoload.php';


%prep
%setup -q -n %{gh_project}-%{gh_commit}

phpab --template fedora --output src/autoload.php src


%build
# Nothing


%install
# Restore PSR-0 tree
mkdir -p     %{buildroot}%{_datadir}/php/Seld/PharUtils/
cp -pr src/* %{buildroot}%{_datadir}/php/Seld/PharUtils/


%check
: Check if our autoloader works
php -r '
require "%{buildroot}%{_datadir}/php/Seld/PharUtils/autoload.php";
$a = new \Seld\PharUtils\Timestamps("%{SOURCE1}");
echo "Ok\n";
exit(0);
'


%files
# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md
%doc composer.json
%{_datadir}/php/Seld


%changelog
* Fri Dec 10 2021 Remi Collet <remi@remirepo.net> - 1.2.0-1
- update to 1.2.0
- switch to classmap autoloader

* Mon Aug 23 2021 Remi Collet <remi@remirepo.net> - 1.1.2-1
- update to 1.1.2

* Wed Jul  8 2020 Remi Collet <remi@remirepo.net> - 1.1.1-1
- update to 1.1.1

* Mon Feb 17 2020 Remi Collet <remi@remirepo.net> - 1.1.0-1
- update to 1.1.0

* Tue Jan 14 2020 Remi Collet <remi@remirepo.net> - 1.0.2-1
- update to 1.0.2

* Fri Oct 21 2016 Remi Collet <remi@fedoraproject.org> - 1.0.1-2
- switch from symfony/class-loader to fedora/autoloader

* Wed Oct 14 2015 Remi Collet <remi@fedoraproject.org> - 1.0.1-1
- update to 1.0.1
- add autoloader

* Mon May  4 2015 Remi Collet <remi@fedoraproject.org> - 1.0.0-1
- initial package
